Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Nov 2019, 19:26
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Puli 32/64 bit
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 18 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18
Author Message
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Tue 20 Aug 2019, 09:01    Post subject: Re: Announcement: Puli 7.1  

gjuhasz wrote:

More details will be available soon.


Please find the main changes as follows:

Improvements:

* Support AppImage format apps (icon pops up on the desk)
* Improve compatibility with the "factory default" version of external apps (.deb, .rpm)
* Firejail support extension (auto-run Firefox in sandbox)
* Nvidia driver support (option to block nouveau at boot time)
* Update/remove obsolete modules
* Improve "Lazy" security profile
* Bugs fixed

Others:

* Bugs fixed
* Puli specific Firefox 68 (stable) and 70 (nightly) versions created
* Uploaded many tested apps to https://sourceforge.net/projects/puppyszoftver/files/Puli/.

Have a fun!

Regards

gjuhasz
Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Sun 01 Sep 2019, 15:51    Post subject: Runtime parameters from menu  

I made a little AddParams.pet package that allows adding runtime parameters to the executable files (application_x-executable) and shared libs (application_x-sharedlib) from their right-click menu.

It can support us when special parameters are needed for running AppImages and/or in the sandboxed environment of firejail.

The prefix and the postfix can be defined separately or can remain blank.

A simple example:

1. Right-click on /usr/bin/links2 and select Apply Runtime Parameters in the menu
2. Enter run-as-spot as Prefix then click OK.
3. Enter -g murga-linux.com/puppy as Postfix, then click OK.
4. The selected app (Links) starts showing our forum page.

For each runs, the latest prefix and postfix are displayed. The edited ones are stored except if you click Cancel. The latest parameters are available in the subfolders of /root/.config/adrtprs/ until shutdown/reboot.

You can play with other executables, add firejail parameters (requires installed firejail, of course). See the attached pictures.

No special message appears in case of runtime errors. However. this info is accessible in /tmp/adrtprs until the next run of AddParams.

Uploaded to:

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-64bit/packages/

Tested with Puli 7.1 but probably works with many other puplets, too.


Have a fun!

Regards,

gjuhasz
Prefix.jpg
 Description   
 Filesize   13.3 KB
 Viewed   388 Time(s)

Prefix.jpg

Postfix.jpg
 Description   
 Filesize   12.61 KB
 Viewed   388 Time(s)

Postfix.jpg

Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Thu 05 Sep 2019, 13:18    Post subject: Puli 32-bit packages  

Dear Puli users,

I uploaded many 32-bit packages to

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-32bit/packages/

Tested with Puli 6.2.0

Have fun!

Regards,

gjuhasz
Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Mon 09 Sep 2019, 05:29    Post subject: Updated Puli 64-bit packages
Subject description: Soundpack editors
 

Dear Puli users,

Many of us like playing with midi instruments and need a good soundpack editor.

I pulified a couple of them:
    * Downloaded polyphone 1.8 from Ubuntu Xenial64 launchpad and added some qt5 libraries.
    * Downloaded swami 2.0 (see http://www.swamiproject.org/) from Launchpad and added the missing libraries.
See polyphone_1.8_amd64p.pet and swami_2.0-amd64p.pet at

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-64bit/packages/

Tested with Puli 7.1 - note that they use the built-in apulse instead of pulseaudio.


Have fun!

Regards,

gjuhasz
Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Sun 22 Sep 2019, 16:32    Post subject: FreeOffice v971  

Dear Puli users,

SoftMaker FreeOffice 2018 v971 is announced on 2019 Sep 19. Bugfixes made on v970 that was published a couple of weeks earlier.

A 64-bit softmaker18-971_64hup.sfs file is available at

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-64bit/packages/

Supports en_US and hu_HU languages.

Tested with Puli 7.1, but probably runs with other 64-bit Xenial based puplets, too.


Have fun!

Regards,

gjuhasz
Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Tue 08 Oct 2019, 19:15    Post subject: Re: Updated Puli 64-bit packages
Subject description: MIDI editor
 

Dear Puli users,

I grabbed a popular midi editor from https://www.midieditor.org then created the

midieditor_3101-amd64.pet

package by adding the required Qt5 libraries.

After testing with Puli 7.1, I uploaded it to my collection at

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-64bit/packages/

Probably runs with the rest of the Xenial64 based puplets, too.


Have fun!

Regards,

gjuhasz
Back to top
View user's profile Send private message 
gjuhasz


Joined: 29 Sep 2008
Posts: 396

PostPosted: Fri 18 Oct 2019, 13:18    Post subject: Re: Updated Puli 64-bit packages
Subject description: TeamViewer plugin
 

Dear Puli users,

I found that most of the static TeamViewer packages (pet, sfs, etc) are incompatible with the earlier ones thus the remote instance refuses the connection.
So, for fun, I downloaded the latest TeamViewer plugin for the 64-bit Google Chrome, tailored for Puli 7.1, then created the TeamVplugin_14-64p.sfs package.

I tested it with with Puli 7.1. Available in my collection at

https://sourceforge.net/projects/puppyszoftver/files/Puli/Puli-64bit/packages/

It seems that it can connect even to ancient versions. It is recommended to register the controller machine (or its IP address) in the login window. (TeamViewer sends a confirmation email to the registered email address)

Please note that this plugin can be selected only in a normal (non-incognito) window of Chrome.
I am not sure whether it is visible in Chromium/Iron/Slimjet etc.

Probably runs with the rest of the 64-bit puplets, too.


Have fun!

Regards,

gjuhasz
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 18 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1654s ][ Queries: 13 (0.0763s) ][ GZIP on ]